Subject: Re: [PATCH] locking bug in fib_semantics.c

From: Jarek Poplawski <[email-masked]>
Date: Mon, 21 Aug 2006 13:02:01 +0200

On 21-08-2006 10:17, David Miller wrote:
> From: Jarek Poplawski <[email-masked]>
> Date: Mon, 21 Aug 2006 10:16:43 +0200
...
>> But I hope the real reason for this patch isn't exactly like that.
>> Could fib_release_info() be interrupted by BH really?
> 
> Absolutely, yes it can.  What makes you think it can't?
> 
> All of the call sites I have checked cause it to run with
> BH's enabled, and that allows ip_fib_check_default() to
> potentially run.  All we need is one such case to cause
> the deadlock.
> 
> I was skeptical of this case too, until I checked how
> fib_release_info() was called.

I overlooked this - so I've to sharpen my sight and look at it 
again - now knowing it's there.
Thanks for your response. I didn't expect it so fast and right 
from the top!

Jarek P.